<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.DsRadarMapper">
 
    <resultMap type="com.ltgk.video.domain.entity.DsRadar" id="DsRadarMap">
            <result property="id" column="id"/>
            <result property="serialNumber" column="serial_number"/>
            <result property="belongUnit" column="belong_unit"/>
            <result property="portId" column="port_id"/>
            <result property="portName" column="port_name"/>
            <result property="radarCode" column="radar_code"/>
            <result property="radarName" column="radar_name"/>
            <result property="radarType" column="radar_type"/>
            <result property="model" column="model"/>
            <result property="manufacturer" column="manufacturer"/>
            <result property="addr" column="addr"/>
            <result property="longitude" column="longitude"/>
            <result property="latitude" column="latitude"/>
            <result property="detectionRange" column="detection_range"/>
            <result property="radarIp" column="radar_ip"/>
            <result property="radarPort" column="radar_port"/>
            <result property="radarAccount" column="radar_account"/>
            <result property="radarPassword" column="radar_password"/>
            <result property="channelNo" column="channel_no"/>
            <result property="deployDate" column="deploy_date"/>
            <result property="lastMaintenanceDate" column="last_maintenance_date"/>
            <result property="runStatus" column="run_status"/>
            <result property="delFlag" column="del_flag"/>
            <result property="areaCode" column="area_code"/>
            <result property="areaName" column="area_name"/>
            <result property="createBy" column="create_by"/>
            <result property="createAt" column="create_at"/>
            <result property="updateBy" column="update_by"/>
            <result property="updateAt" column="update_at"/>
            <result property="remark" column="remark"/>
    </resultMap>
</mapper>

